package com.yaoyicloud.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 通用错误异常
 *
 * @author jimmy
 * @version 1.0.0
 * @date 2023-12-25 11:30
 */
@Getter
@AllArgsConstructor
public enum EasierBizErrorCodes {

    COM_DATA_GET_ERROR("COM001", "com.data.get.error"), COM_DATA_UPDATE_ERROR("COM002", "com.data.update.error"),
    COM_DATA_VIOLATION_ERROR("COM003", "com.data.violation.error"),
    COM_DATA_TENANT_EXPIRY_ERROR("COM004", "com.data.expiry.error");

    private final String errorCode;
    private final String errorMsgId;
}
